.bonuses-container {
    user-select: none;
}

.bonuses-container:not(.loaded) {
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
}

.bonuses-container * {
    box-sizing: border-box;
}

.bonuses-container .disabled {
    opacity: .2;
    pointer-events: none;
}

.bonuses-container {
    font-family: "Tahoma";
    position: relative;
    padding-right: 20px;
}

.page-breadcrumb {
    margin-bottom: 20px;
}

.page-breadcrumb a {
    display: inline-block;
    background-image: url("/img/back-arrow-static.svg");
    background-repeat: no-repeat;
    background-position: 0 center;
    background-size: 6px 12px;
    padding-left: 15px;
    color: rgba(18, 18, 18, .54);
    font-size: 16px;
    text-decoration: none;
}

.page-breadcrumb a:hover {
    background-image: url("/img/back-arrow-hover.svg");
    color: #b34938;
}

.bonuses-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    position: relative;
    flex-wrap: wrap;
    font-family: "Tahoma";
}
.bonuses-header-standalone{
    padding: 0 20px 0 0;
    min-height: 38px;
}

.bonuses-header .bonuses-title {
    /*flex: 1;*/
    width: 100%;
    justify-content: space-between;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}


/*controls для промокода*/

.title-bonuses-controls{
    display: flex;
    align-items: center;
    gap: 20px;
}

.special-bonuses-link{
    color: rgba(18, 18, 18, .92);
    padding: 0 0 0 25px;
    background-position: 0 center;
    background-repeat: no-repeat;
    background-size: 21px 21px;
    font-size: 14px;
    text-decoration: underline;
}

.special-bonuses-link span{
    background-color: #882211;
    text-align: center;
    display: inline-block;
    border-radius: 40%;
    color: #ffffff;
    font-size: 10px;
    padding: 4px 6px;
    margin-left: 5px;
}

.special-bonuses-link.special-ico{
    background-image: url("/img/special-ico.svg");
}

.special-bonuses-link.bonus-ico-img{
    background-image: url("/img/bonus-ico.svg");
}

.special-bonuses-link:hover{
    text-decoration: none;
}

.my-bonuses-code-btn{
    cursor: pointer;
    border-radius: 5px;
    background: #F2AE1D;
    padding: 12px;
    color: #882211;
    font-size: 13px;
    line-height: 14px;
}

.my-bonuses-code-btn:hover{
    background-color: #F7B636;
}



.my-bonuses-code-btn span{
    display: block;
    padding: 0 0 0 30px;
    background: url("/img/bonus-cupon-ico.svg") 0 center no-repeat;
    background-size: 21px 21px;
}
/*controls для промокода конец*/

.bonuses-title h1 {
    color: rgba(18, 18, 18, .92);
    font-size: 20px;
    line-height: 24px;
    font-weight: 700;
    margin: 0;
}

.bonuses-filter-options {
    display: flex;
    /*flex: 3;*/
    justify-content: space-between;
    width: 100%;
}

.bonuses-filter-pins {
    display: flex;
    font-size: 14px;
    flex: 2;
    /*justify-content: center;*/
}

.bonuses-filter-section {
    flex: 1;
    display: flex;
    justify-content: flex-end;
}

.bonuses-filter-section.disabled {
    opacity: .4;
    pointer-events: none;
}

.bonus-filter-pin {
    margin: 0 4px;
    padding: 8px 16px;
    border-radius: 27px;
    background: rgba(18, 18, 18, .04);
    color: rgba(18, 18, 18, .70);
    cursor: pointer;
    border: 1px solid transparent;
}

.bonus-filter-pin.active {
    background: rgba(247, 182, 54, .20);
    border-color: #f6a913;
    cursor: default;
}

.bonus-filter-pin.active:hover {
    cursor: default;
    border-color: #f6a913;
}

.bonus-filter-pin:hover {
    background: rgba(247, 182, 54, .20);
    border-color: #fbf1da;
    cursor: pointer;
}

.bonus-filter-pin span {
    display: inline-block;
    border-radius: 50%;
    border: 1px solid #dedede;
    padding: 1px 5px;
    background-color: #ededed;
    margin-left: 5px;
    text-align: center;
    min-width: 21px;
}

.bonus-filter-pin.active span {
    border-color: #f4d594;
    background-color: #f8e5bc;
}

.bonus-filter-pin:hover span {
    border-color: #f4d594;
    background-color: #f8e5bc;
}

.bonus-filter-item{
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}

.bonuses-filter-element {
    min-width: 174px;
    position: relative;
    z-index: 2;
}

.bonuses-filter-element.opened .filter-list-block {
    display: block;
}

.bonuses-filter-element.opened .filter-header span:before {
    transform: rotate(180deg);
}

.bonuses-filter-element .filter-header {
    background: #f6f6f6;
    border: 1px solid #bdbdbd;
    padding: 9px 16px;
    font-size: 16px;
    cursor: pointer;
}

.bonuses-filter-element .filter-header span {
    display: inline-block;
    position: relative;
    width: 100%;
}

.bonuses-filter-element .filter-header span:before {
    content: "";
    position: absolute;
    top: 50%;
    margin-top: -2px;
    right: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 6px 4px 0 4px;
    border-color: #000 transparent transparent transparent;
    transition: all 400ms;
}

.bonuses-filter-element .filter-header:hover {
    background: #fbf1da;
    border-color: #eaba54;
}

.filter-list-block {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, .10);
    padding: 12px 16px;
    background: #fff;
}

.bonuses-filter-element .filter-controls {
    padding-top: 12px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.bonuses-filter-element .filter-controls button:first-child {
    display: none;
}

.bonuses-filter-element .filter-controls .default-btn {
    border: 1px solid #7f7f7f;
    padding: 5px 10px;
    width: 100%;
    font-size: 16px;
    font-weight: 700;
    background: transparent;
    color: #595959;
    cursor: pointer;
    min-width: auto;
}

.bonuses-filter-element .filter-controls .default-btn:hover {
    background-color: #eee;
}

.bonuses-filter-element .filter-controls .default-btn[disabled] {
    opacity: .4;
    pointer-events: none;
}

.bonuses-filter-element .filter-item {
    padding: 12px 0;
    font-size: 16px;
}

.bonuses-filter-element .filter-item label {
    display: flex;
    cursor: pointer;
    align-items: center;
    color: rgba(18, 18, 18, .92);
    font-weight: normal;
}

.bonuses-filter-element .filter-item input[type=checkbox] {
    position: absolute;
    left: -9999px;
}

.bonuses-filter-element .filter-item input[type=checkbox]:checked + label .check-filter-item:before {
    background: #e8b143;
    display: block;
}

.bonuses-filter-element .check-filter-item {
    position: relative;
    width: 20px;
    height: 20px;
    background: #f6f6f6;
    border: 1px solid #bdbdbd;
    display: block;
    cursor: pointer;
    margin-right: 10px;
}

.bonuses-filter-element label:hover .check-filter-item {
    background: #fbf1da;
    border-color: #edc469;
}

.bonuses-filter-element .check-filter-item:before {
    position: absolute;
    display: none;
    width: 14px;
    height: 14px;
    left: 2px;
    top: 2px;
    background: #f6f6f6;
    content: "";
    transition: all 400ms;
}

.bonuses-list {
    display: flex;
    flex-wrap: wrap;
    margin: -12px;
}

.bonus-item {
    width: calc(25% - 24px);
    margin: 12px;
    display: flex;
    flex-direction: column;
    text-align: left;
}

.bonus-item .pic {
    flex: 1;
    display: flex;
    position: relative;
    padding-bottom: 47.05882352941176%;
}

.bonus-item .ratio {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgba(18, 18, 18, .1);
}

.bonus-item .theme-pins {
    position: absolute;
    right: 5px;
    top: 5px;
    color: #fff;
    text-transform: uppercase;
    font-size: 10px;
    display: flex;
}

.bonus-item .theme-pin {
    padding: 2px 5px;
    border-radius: 5px;
    margin-left: 5px;
}

.bonus-item .theme-pin.type1 {
    background-color: #e64b41;
}

.bonus-item .theme-pin.type2 {
    background-color: #219653;
}

.bonus-item .pic img {
    width: 100%;
    height: auto;
}

.bonus-item .desc {
    padding: 16px;
    height: 175px;
    background: rgba(18, 18, 18, .04);
    position: relative;
    border: 1px solid #ececec;
    border-top: none;
}

.bonus-item .title {
    color: rgba(18, 18, 18, .92);
    font-size: 16px;
    line-height: 18px;
    font-weight: 700;
    margin-bottom: 8px;
}

.bonus-item .text {
    display: flex;
    flex-wrap: wrap;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: .28px;
    color: rgba(18, 18, 18, .7);
}

.bonus-item .text > span {
    display: -webkit-inline-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin-right: 10px;
}

.bonus-item .text a {
    color: rgba(18, 18, 18, .92);
    text-decoration: underline;
}

.bonus-item .text a:hover {
    color: #882211;
    text-decoration: none;
}

.bonus-item .controls {
    display: flex;
    align-items: center;
    position: absolute;
    width: 100%;
    left: 0;
    padding: 0 16px;
    bottom: 16px;
}

.bonus-item .controls .col-item {
    width: 50%;
}

.bonus-item .action-button a {
    width: 100%;
    min-width: auto;
}

.bonus-item .action-time {
    background-image: url("/img/timer-ico-gray.svg");
    background-size: 16px 16px;
    background-position: 0 center;
    background-repeat: no-repeat;
    padding-left: 20px;
    font-size: 12px;
    line-height: 16px;
    color: rgba(18, 18, 18, .7);
}

.bonus-item .action-time.red {
    background-image: url("/img/timer-ico-red.svg");
}



.action-container {
    max-width: 840px;
    margin: 0 auto;
    color: rgba(18, 18, 18, .7);
    font-size: 16px;
    line-height: 20px;
    text-align: left;
}

.action-container h1,
.action-container h2,
.action-container h3 {
    color: #000;
}

.aviatrix-table {
    display: flex;
    flex-wrap: wrap;
    color: #000;
}

.aviatrix-table .line div {
    padding: 5px;
    text-align: center;
    border: 1px solid #fff;
}

.aviatrix-table .line {
    display: flex;
    width: 100%;
}

.aviatrix-table .line div:first-child {
    min-width: 160px;
}

.aviatrix-table .line1 div {
    flex: 1;
    background: #eee;
}

.aviatrix-table .line2 div {
    flex: 1;
    background: #f6f6f6;
}

.hr {
    margin: 30px 0;
    border: 1px solid #e6e6e6;
}

.action-container ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}


.content_actions_block * {
    box-sizing: border-box;
}

.content_actions_block {
    margin-bottom: 20px;
    width: 98.6%;
}

.index-bonus-wrap {
    padding: 5px 5px 20px 5px;
    border: 1px solid #ececec;
    border-top: none;
}

.index-bonus-wrap .bonuses-list {
    margin-bottom: 20px;
}

.index-bonus-wrap .bonus-item {
    width: calc(25% - 24px);
}

.visible-xs {
    display: none;
}

.action-container table {
    width: 100%;
    color: #000;
}

.table-container {
    overflow-x: auto;
    width: 100%;
    max-width: 100%;
}

.action-container > div {
    white-space: pre-line;
}

.action-container table td {
    padding: 5px;
    text-align: center;
    background: #eee;
}

.show-bonus-popup {
    overflow: hidden;
}

.bonus-popup-window * {
    box-sizing: border-box;
}

.bonus-popup-window {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    padding: 0 20px;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, .7);
}

.bonus-popup-window .bonus-popup-content {
    padding: 50px;
    z-index: 3;
    background: #fff;
    font-size: 16px;
    max-width: 1040px;
    box-sizing: border-box;
    overflow: auto;
    overflow-x: hidden;
    max-height: 80%;
    position: relative;
    min-height: 400px;
}

.bonus-popup-window .close-ico {
    position: absolute;
    right: 25px;
    top: 25px;
    background-image: url("/img/window-close-ico.svg");
    background-position: center center;
    background-repeat: no-repeat;
    border: none;
    cursor: pointer;
    width: 14px;
    height: 14px;
    background-size: 100% 100%;
    background-color: transparent;
}

.bonus-popup-window h1 {
    font-size: 22px;
    border-left: 3px solid #f5c945;
    padding-left: 10px;
    text-align: left;
}

.bonus-popup-window-enter-active,
.bonus-popup-window-leave-active {
    transition: opacity .6s;
}

.bonus-popup-window-enter,
.bonus-popup-window-leave-to {
    opacity: 0;
}

.bonus-popup-content-enter-active,
.bonus-popup-content-leave-active {
    transition: opacity .6s, transform .6s;
}

.bonus-popup-content-enter,
.bonus-popup-content-leave-to {
    opacity: 0;
    transform: translateY(-100px);
}



.m_cont1 .bonuses-container {
    padding: 10px 0 0 0;
}

@media (max-width: 1750px) {
    .index-bonus-wrap .bonus-item:last-child {
        display: none;
    }
    .index-bonus-wrap .bonus-item {
        width: calc(33.3% - 24px);
    }
}


@media (max-width: 1425px) {
    .bonus-item {
        width: calc(33.3% - 24px);
    }

    .index-bonus-wrap .bonus-item:nth-last-child(-n+2) {
        display: none;
    }
    .index-bonus-wrap .bonus-item {
        width: calc(50% - 24px);
    }
}

@media (max-width: 767px){
    .bonuses-container {
        position: relative;
        padding: 0;
    }
    .opened-filter .bonuses-container:before {
        content: "";
        position: absolute;
        width: 110%;
        height: 100%;
        left: -16px;
        background: rgba(0, 0, 0, .6);
        z-index: 3;
    }
    .bonuses-header .bonuses-title {
        position: relative;
    }
    .bonuses-title h1 {
        padding: 0 30px 0 0;
    }
    .opened-filter .bonuses-filter-options {
        display: block;
    }
    .bonuses-filter-options {
        position: absolute;
        left: -15px;
        top:0;
        width: 110%;
        background-color: #fff;
        z-index: 2003;
        padding: 10px 15px 20px 15px;
        display: none;
    }
    .bonuses-filter-options.opened {
        display: block;
    }
    .bonuses-filter-options h1 {
        margin-bottom: 10px;
    }
    .bonuses-filter-element {
        min-width: 100%;
    }
    .filter-type-title {
        color: rgba(18, 18, 18, .54);
        margin-bottom: 10px;
    }
    .bonuses-filter-pins {
        flex-wrap: wrap;
        justify-content: flex-start;
        border-bottom: 1px solid rgba(33, 33, 33, .15);
        padding: 0 0 15px 0;
        margin-bottom: 20px;
    }
    .bonus-filter-pin {
        padding: 5px 9px;
        margin-bottom: 5px;
    }
    .bonuses-filter-element .filter-header {
        display: none;
    }
    .filter-list-block {
        display: block !important;
        box-shadow: none;
        padding: 0 0 20px 0;
        position: static;
    }
    .bonuses-filter-element .filter-item {
        padding: 2px 0;
    }
    .bonuses-filter-element .filter-controls {
        border-top: 1px solid rgba(33, 33, 33, .15);
    }
    .bonuses-filter-element .filter-controls button {
        width: 100%;
    }
    .bonuses-filter-element .filter-controls button:first-child {
        display: inline-block;
        margin-bottom: 10px;
    }
    .bonuses-list {
        margin: -11px;
    }
    .bonus-item {
        width: 100%;
    }
    .filter-menu-ico {
        cursor: pointer;
        width: 24px;
        height: 24px;
        background-size: 100% 100%;
        background-image: url("/img/filter-menu-ico.svg");
        background-repeat: no-repeat;
        background-position: center center;
        position: absolute;
        right: 0;
        top: -15px;
    }
    .filter-menu-ico:hover {
        background-image: url("/img/filter-menu-ico-active.svg");
    }
    .filter-menu-close-ico {
        cursor: pointer;
        width: 24px;
        height: 24px;
        background-size: 100% 100%;
        background-image: url("/img/filter-menu-ico-close.svg");
        background-repeat: no-repeat;
        background-position: center center;
        position: absolute;
        right: 5px;
        top: 0;
    }
    .filter-menu-close-ico:hover {
        background-image: url("/img/filter-menu-ico-close-active.svg");
    }
    .bonuses-filter-element label:hover .check-filter-item {
        background: #f6f6f6;
        border: 1px solid #bdbdbd;
    }
    .bonus-popup-window .bonus-popup-content {
        padding: 15px;
    }
    .bonus-popup-window .close-ico {
        right: 10px;
        top:10px;
    }
    .bonus-filter-overlay{
        position: fixed;
        top:0;
        left: -15px;
        width: 110%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5);
        display: none;
        z-index: 2002;
    }
    .bonus-filter-overlay.opened{
        display: block;
    }
    .title-bonuses-controls{
        padding: 20px 0 0 0 ;
        gap: 10px;
        justify-content: space-between;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }
    .my-bonuses-code-btn{
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .bonuses-header-standalone{
        min-height: 0;
        padding: 0;
    }

    .bonuses-header h1{
        display: none;
        font-weight: 700;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .bonus-item {
        width: calc(50% - 24px);
    }
}